UHUB-PASSWD(1)

NAME
uhub-passwd - small utility for manipulating passwords which are used by uhub daemon

SYNOPSIS
uhub-passwd filename command [...]

DESCRIPTION
uHub is a high performance peer-to-peer hub for the ADC network. Its low memory footprint allows it to handle several thousand users on high-end servers, or a small private hub on embedded hardware.

OPTIONS

create

add username password [credentials = user]

del username

mod username credentials

pass username password

list

PARAMETERS

'filename'
    is a database file

'username'
    is a nickname (UTF-8, up to 64 bytes)

'password'
    is a password (UTF-8, up to 64 bytes)

'credentials'
    is one of 'admin', 'super', 'op', 'user'

AUTHOR
This program was written by Jan Vidar Krey <janvidar@extatic.org>

BUG REPORTS
If you find a bug in uhub please report it to http://bugs.extatic.org/